import type { FirstAidKitModel, FirstAidKitListModel } from './model';

import type { BaseResult } from '#/api/base-result';

import { requestClient } from '#/api/request';

// API路径常量枚举
enum Api {
  // 修改场站急救箱用品
  update = '/gasFirstAidKit/kit',
  // 查询场站急救箱用品列表
  list = '/gasFirstAidKit/kit/list',
}

/**
 * 查询场站急救箱用品列表
 * @param stationId 场站ID
 * @returns 急救箱用品列表
 */
export function getFirstAidKitList(stationId: number) {
  return requestClient.get<BaseResult<FirstAidKitModel[]>>(`${Api.list}/${stationId}`);
}

/**
 * 修改场站急救箱用品
 * @param data 急救箱用品数据
 * @returns 操作结果
 */
export function updateFirstAidKit(data: FirstAidKitModel | FirstAidKitListModel) {
  return requestClient.put(Api.update, data, {
    successMessageMode: 'message',
  });
}
